Application: gvSIG desktop - gvSIG bugs #3819
La carpeta de instalacion ha cambiado
10/22/2015 12:10 PM - Joaquin del Cerro Murciano

Status: Won't fix % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquin del Cerro Murciano

Category: Installer

Target version:

Severity: Minor Add-on version:

gvSIG version: 2.3.0 Add-on build:

gvSIG build: 2403 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

En versiones anteriores la carpeta de instalacion era "gvSIG-desktop", en el build 2403 es "gvSIG desktop".
Habria que mantener la misma carpeta de instalacion.

Associated revisions

Revision 42399 - 10/22/2015 12:11 PM - Joaquin del Cerro Murciano

refs #3819, cambiado la carpeta de instalacion.

History

#1 - 10/22/2015 12:11 PM - Joaquin del Cerro Murciano
- Status changed from New to Fixed

#2 - 10/26/2015 05:39 PM - Alvaro Anguix

- Status changed from Fixed to Closed

#3 - 02/23/2016 10:30 AM - Antonio Falciano
- Target version changed from 2.3.0-2404 (rev. org.gvsig.desktop-2.0.107) to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)
- Status changed from Closed to New

There's a bit of confusion about the install path on different operating systems.
This is the situation on Windows at the time of 2.3.0 RC1:

C:\Program Files (x86)\gvSIG desktop 1.12.0

x86)\gvSIG desktop 2.1.0

x86)\gvSIG desktop 2.2.0

C:\Program Files (x86)\gvSIG-desktop\gvSIG-desktop-2.3.0

C:\Program Files
C:\Program Files

(x86)
(x86)
(x86)
(x86)

C:\Program Files\gvSIG-desktop\gvSIG-desktop-2.3.0

05/11/2024

1/2




So a gvSIG-desktop folder and two minus signs are too much in Windows.

Related to #4035.

#4 - 02/23/2016 10:38 AM - Antonio Falciano

Related to #4082

#5 - 02/24/2016 02:32 PM - Alvaro Anguix

- Target version deleted (2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153))

#6 - 02/25/2016 09:37 AM - Alvaro Anguix

Hi Antonio,

Now it works equal in Linux and Windows and, for me, it's more coherent.

It's usual that an user has installed several "gvSIG versions" and | think that it's more logic to have all versions grouped in a "gvSIG-Desktop" folder.
If this doesn't cause functionals problems...| like it.

#7 - 02/25/2016 10:16 AM - Antonio Falciano

Hi Alvaro,

the actual path breaks the continuity with the previous versions, as shown in #3819#note-3, and furthermore it's not coherent with the de facto standard
adopted in Windows (gvsig-desktop is not the name of a software house or an organization). Furthermore we'll have path longer than
power(supercalifragilisticexpialidocious,3), bigger log files and less readable. But it doesn't affect the main gvSIG functionality for sure and if you like
it...

#8 - 02/25/2016 10:55 AM - Alvaro Anguix

According to this perhaps a good solution it will be "gvSIG/gvSIG-desktop-X.X.X"

#9 - 02/25/2016 11:50 AM - Antonio Falciano

IMHO the solution in
trunk/org.gvsig.desktop/org.gvsig.desktop.installer/org.gvsig.desktop.installer.izpack/src/main/izpack/include/variables_elements.xml should be:

<variable name="TargetPanel.dir.windows" value="${APPLICATIONS_DEFAULT_ROOT}gvSIG desktop @{gvsig.version}"/>
<variable name="TargetPanel.dir.unix"
value="${USER_HOME}${FILE_SEPARATOR}gvSIG-desktop${FILE_ SEPARATOR}gvSIG-desktop-@{gvsig.version}"/>
i.e. to maintain the path of previous versions in each operating system.

#10 - 03/04/2020 01:42 PM - Alvaro Anguix
- Status changed from New to Won't fix
